"""user_audit_log

Revision ID: 7d7b84779837
Revises: 91ed7f46dc81
Create Date: 2024-10-16 11:52:49.128644

"""
import sqlalchemy_utils
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '7d7b84779837'
down_revision = '91ed7f46dc81'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('user_audit_log',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('created_at', sqlalchemy_utils.types.arrow.ArrowType(), nullable=False),
    sa.Column('updated_at', sqlalchemy_utils.types.arrow.ArrowType(), nullable=True),
    sa.Column('user_id', sa.Integer(), nullable=False),
    sa.Column('user_email', sa.String(length=255), nullable=False),
    sa.Column('action', sa.String(length=255), nullable=False),
    sa.Column('message', sa.Text(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index('ix_user_audit_log_user_email', 'user_audit_log', ['user_email'], unique=False)
    op.create_index('ix_user_audit_log_user_id', 'user_audit_log', ['user_id'], unique=False)
    op.create_index('ix_user_audit_log_created_at', 'user_audit_log', ['created_at'], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index('ix_user_audit_log_user_id', table_name='user_audit_log')
    op.drop_index('ix_user_audit_log_user_email', table_name='user_audit_log')
    op.drop_index('ix_user_audit_log_created_at', table_name='user_audit_log')
    op.drop_table('user_audit_log')
    # ### end Alembic commands ###
